Error handling, check for file existence before opening for writing.
  [done] 9/16/2020

Usefule options of GNU shred not yet implemented:
  -f Change permissions to allow writing if necessary
  --remove[=HOW] GNU shred allows to specify the method of file removal,
    allowing to both obfuscate the name prior to deletion and to sync
    buffers prior to deletion. Both are useful to help hide the act of
    shredding the file(s) as well as making the shredding more robust.
    As HHL shred does not implement long options, this might be
    implemented with -w for wipe and -s for file sync.
    -s [done] 9/16/2020
